Bug 768246 - RFE: Maven client should display readable error messages
RFE: Maven client should display readable error messages
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-Logic, Component-Maven, Usability (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-16 01:29 EST by Sean Flanigan
Modified: 2015-07-28 23:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:35:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2011-12-16 01:29:53 EST
Seam/RESTEasy seems to generate some error responses in the form of HTML error pages.  These are virtually unreadable when printed to the console as a single line.  

1. We should look at overriding this behaviour on the server, so that our REST services return plain text, XML or JSON when handling exceptions.

2. In addition, the Maven client could look at the response type for its REST requests.  If they come back with an HTML content type, we should strip out the HTML tags and try to produce more readable error messages in Maven's log output.
Comment 1 Runa Bhattacharjee 2012-11-26 13:13:54 EST
This sounds helpful. Have we seen any recent/critical user requests coming in for this feature?

Thanks
Comment 2 Sean Flanigan 2012-11-26 19:11:36 EST
No users have specifically requested it, but I've seen a number of bug reports with these HTML error messages in them.  And sometimes there isn't even a bug: once you decipher the error message it becomes apparent.
Comment 4 Damian Jansen 2015-07-13 20:20:13 EDT
Reassigned to PM
Comment 5 Zanata Migrator 2015-07-28 23:35:13 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-334

Note You need to log in before you can comment on or make changes to this bug.